Name: fatrat-subtitlesearch
Version: 1.2.0_beta1
Release: 1%{?dist}
Summary: FatRat plugin enabling OpenSubtitles.org and Sublight.si integration

License: GPLv2+
URL: http://fatrat.dolezel.info
Source0: http://www.dolezel.info/download/data/fatrat-subtitlesearch/fatrat-subtitlesearch-%{version}.tar.gz

BuildRequires: cmake, fatrat-devel, qt-devel >= 4.5, qtsoap-devel
Requires: fatrat%{?_isa} >= %{version}

Patch100: fatrat-subtitlesearch-qtsoap.patch

%description
FatRat is download manager written in C++ and build on top of the Qt4 library.
It is rich in features and is continuously extended.

This package contains plugin for integration with OpenSubtitles.org and
Sublight.si (easy subtitle searching).


%prep
%setup -q

# remove bundled QtSoap library
rm -rf qtsoap
%patch100 -p1


%build
%{cmake} .
make %{?_smp_mflags}


%install
make install DESTDIR=%{buildroot}
rm -rf %{buildroot}%{_docdir}


%files
%doc data/LICENSE data/TRANSLATIONS
%{_libdir}/fatrat/plugins/libfatrat-subtitlesearch.so


%changelog
* Tue Nov 22 2011 Jan Vcelak <jvcelak@redhat.com> 1.2.0_beta1-1
- initial package for Fedora
